import requests
from ResPusher.respusher import ResPusher
BASEURL = 'http://wxpusher.zjiecode.com/api'

class WxPusher(ResPusher):
    """WxPusher Python SDK."""
    def __init__(self, apptoken="", uids=[]):
        """Init."""
        self.apptoken = apptoken
        self.uids = uids

    def send_message(self, content=""):
        """Send Message."""
        payload = {
            'appToken': self.apptoken,
            'content': content,
            'contentType': 1,
            'uids': self.uids,
            'url': 'https://wxpusher.zjiecode.com',
        }
        url = f'{BASEURL}/send/message'
        res = requests.post(url, json=payload).json()
        print(res)
        if(res.get('code') == 1000):
            return 0
        else:
            return -1